Search the Community
Showing results for tags 'close'.
-
I wanted a command to close and not to save. I used the following code: (defun c:cln () ;Close No save (setvar "cmdecho" 0) (command "close" "No") (setvar "cmdecho" 1) ) But when I use it, it closes and saves.....help :S
-
Hi, I need a small lisp that opens and closes a file for me in the background. Nothing needs to be done. In this lisp the file is opened but not closed. (defun c:open_close_explorer () (setq Path "Y:\\Folder\\Data\\Test.txt") (setq File (StartAPP "Explorer.Exe" Path)) (close File) (princ) ) Does anyone have an idea?
-
.Net Document.CloseAndDiscard() throws error AutoCAD Map 3D 2014
Geomap_Chris posted a topic in .NET, ObjectARX & VBA
This was working in Map 3D 2013... Basically, what I want to do is: open a dxf file copy it's database to a new dwg file close the dxf I modified the code a little bit to try and make it work with Map 2014, but without success. Here is my code now: // Open dxf DocumentDocument doc = AcadUtil.DocumentManager.Open(dxfFileName, false); // Lock Document so nothing interferes using (DocumentLock docLock = doc.LockDocument()) { [indent]// Save drawing as DWG file using (Transaction tr = doc.Database.TransactionManager.StartTransaction()) { [/indent] [indent][indent]doc.Database.SaveAs(fileName + ".dwg", DwgVersion.Newest); tr.Commit(); [/indent] } [/indent]} // Set document active so we can close it if (Application.DocumentManager.MdiActiveDocument != doc) { [indent]Application.DocumentManager.MdiActiveDocument = doc; [/indent] } // Dispose db doc.Database.Dispose(); // Close document doc.CloseAndDiscard(); Code throws error on doc.CloseAndDiscard(); FatalExecutionEngineError was detected... I have tryed multiple different things, and now I don't know what to do to make this work. I read about system variable FIBERWORLD... It is set to 1. What am I doing wrong?? Thanks for your help. -
Doorways/Openings Close when Scale Changes
Malgibbs posted a topic in AutoCAD Drawing Management & Output
I'm using AutoCAD 2013. I'd still consider myself a novice at Autocad, but I've been using it since 2008....just for residential floor plans. Layout management has never really been a problem for me. I do not know what's going on today. Apparently it's not a common problem either. I'm hoping I'm just having a brain freeze kind of day. When I change the scale of my floor plan in the layout from 1/8"=1'0" to 3/32"=1'0", my doors "close." It's so strange. The swings disappear and all the doors, and cased openings are closed. I changed my Ltscale to 1, thinking that was the problem, but no. When I change the scale back to something larger, they come back! I have NO clue why this is happening. Thanks for any help.- 13 replies
-
- doorways
- door swings
-
(and 3 more)
Tagged with:
-
How to distinguish between Ellipse and Ellipse Arc?
Ahankhah posted a topic in AutoLISP, Visual LISP & DCL
Hi CADmates, how is it possible to recognize an ellipse object is closed (i.e. full ellipse) or open (i.e ellipse arc)? Any reply appreciated. -
Hello CADTutor members, I found a code by Lee Mac to open a folder by AutoLISP here. The code follows: (defun MT-Explore (Directory / Shell result) (setq Shell (vla-getInterfaceObject (vlax-get-acad-object) "Shell.Application" ) ) (setq result (vl-catch-all-apply 'vlax-invoke (list Shell 'Explore Directory)) ) (vlax-release-object Shell) (not (vl-catch-all-error-p result)) ) Should anyone know how to close the opened folder?